Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012004
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] B. User interfaceminoralways2010-01-19 11:562010-02-01 17:53
ReporterdbazView Statuspublic 
Assigned Todbaz 
PriorityhighResolutionfixedFixed in Version2.50MP11
StatusclosedFix in branchpiFixed in SCM revision7574a9d43920
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_16
OS VersionCommunity ApplianceDatabase version8.3.8Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012004: When tab into an input type text, the existing text should be selected

DescriptionWhen an input type text is focused due to a tab key press the input value (if there is) should be selected
Steps To ReproduceGo to any tab

Press tab key

Each time a text input is focused (blue background) its text should be selected
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0023559)
dbaz (developer)
2010-01-19 12:02

Added a new global variable called "selectInputTextOnTab" in windowKeyboard.js in order to enable or disable this feature
(0023560)
hgbot (developer)
2010-01-19 12:08

Repository: erp/devel/pi
Changeset: a8db4508d9adf4443567e8d97d03c60b987ad8d6
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Jan 19 12:07:35 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a8db4508d9adf4443567e8d97d03c60b987ad8d6 [^]

Fixed issue 12004: Now text is selected when focused by tab press

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/utils.js
M web/js/windowKeyboard.js
---
(0023567)
mtaal (developer)
2010-01-19 15:27

Tested and works fine
(0023672)
hudsonbot (developer)
2010-01-20 23:26

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/a8db4508d9ad [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/fa6621f85351 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15942.obx [^]
(0023838)
hgbot (developer)
2010-01-27 18:16

Repository: erp/devel/pi
Changeset: 7574a9d43920ecf86ba9072d171a9166a266746a
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Wed Jan 27 18:14:34 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7574a9d43920ecf86ba9072d171a9166a266746a [^]

Related to issue 12004: The select text on tab now works in numeric fields and IE8

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/utils.js
M web/js/windowKeyboard.js
---
(0023900)
hudsonbot (developer)
2010-02-01 17:53

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/7574a9d43920 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/3d5bd712a24b [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16007.obx [^]

- Issue History
Date Modified Username Field Change
2010-01-19 11:56 dbaz New Issue
2010-01-19 11:56 dbaz Assigned To => dbaz
2010-01-19 12:01 dbaz Status new => scheduled
2010-01-19 12:01 dbaz fix_in_branch => pi
2010-01-19 12:02 dbaz Note Added: 0023559
2010-01-19 12:08 hgbot Checkin
2010-01-19 12:08 hgbot Note Added: 0023560
2010-01-19 12:08 hgbot Status scheduled => resolved
2010-01-19 12:08 hgbot Resolution open => fixed
2010-01-19 12:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a8db4508d9adf4443567e8d97d03c60b987ad8d6 [^]
2010-01-19 15:27 mtaal Note Added: 0023567
2010-01-19 15:27 mtaal Status resolved => closed
2010-01-19 15:27 mtaal Fixed in Version => 2.50MP11
2010-01-20 00:01 anonymous sf_bug_id 0 => 2935296
2010-01-20 23:26 hudsonbot Checkin
2010-01-20 23:26 hudsonbot Note Added: 0023672
2010-01-27 18:16 hgbot Checkin
2010-01-27 18:16 hgbot Note Added: 0023838
2010-01-27 18:16 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a8db4508d9adf4443567e8d97d03c60b987ad8d6 [^] => http://code.openbravo.com/erp/devel/pi/rev/7574a9d43920ecf86ba9072d171a9166a266746a [^]
2010-02-01 17:53 hudsonbot Checkin
2010-02-01 17:53 hudsonbot Note Added: 0023900


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker